//**********************************************************************//
//small quad white vertical trim light                                               //
//**********************************************************************//
textures/jaxdm9/smlquad_v_trimlite
{
	qer_editorimage textures/jaxdm9/ik_gtrimv_lit5a.tga
	q3map_lightimage textures/jaxdm9/ik_gtrimv_lit5a_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 200
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/jaxdm9/ik_gtrimv_lit5a.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/jaxdm9/ik_gtrimv_lit5a_glow.tga
		blendfunc add
		rgbGen identity
	}
}

//**********************************************************************//
// LIGHT BAND 64 - 01 : Single glowing stripe 256x64              //
//**********************************************************************//
textures/jaxdm9/lig_b064-01b
{
	qer_editorimage textures/jaxdm9/lig_b064-01b.tga
	surfaceparm nomarks
	q3map_surfacelight 600
	q3map_lightsubdivide 32
	{
		map textures/jaxdm9/lig_b064-01b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/jaxdm9/lig_b064-01b.blend.tga
		blendfunc add
		rgbgen wave sin .5 .3 0 1
	}
}

textures/jaxdm9/lig_b064-01d
{
	qer_editorimage textures/jaxdm9/lig_b064-01d.tga
	surfaceparm nomarks
	q3map_surfacelight 600
	q3map_lightsubdivide 32
	{
		map textures/jaxdm9/lig_b064-01d.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/jaxdm9/lig_b064-01y.blend.tga
		blendfunc add
		rgbgen wave sin .5 .3 0 1
	}
}

textures/jaxdm9/lig_b064-01f
{
	qer_editorimage textures/jaxdm9/lig_b064-01f.tga
	surfaceparm nomarks
	q3map_surfacelight 600
	q3map_lightsubdivide 32
	{
		map textures/jaxdm9/lig_b064-01f.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/jaxdm9/lig_b064-01r.blend.tga
		blendfunc add
		rgbgen wave sin .5 .3 0 1
	}
}

//**********************************************************************//
//small circular yellow trim light                                                       //
//**********************************************************************//
textures/jaxdm9/lig_064-02y2
{
	qer_editorimage textures/jaxdm9/lig_064-02y2.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map textures/jaxdm9/lig_064-02y2.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/jaxdm9/lig_064-02y.blend.tga
		blendfunc add
		rgbGen wave sin .3 .1 0 .5
	}
}

//**********************************************************************//
//satellite cables                                                                               //
//**********************************************************************//
models/mapobjects/satellite/cables
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/satellite/cables.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}